Error a conectarse al servidor PostgreSQl 9.2 Xtuple 4.0

 

gabriel_lopez's picture

Recientemente instale el PostgreSQL 9.2 y he creado el usuario admin asi como su respectivo rol, he instalado la version 4.0 de xtuple de igual manera e instalado las bd tanto demo como quickstart el detalle es que al logearme mediante el xtuple para hacer la conexion a la bd marca el siguiente error:

 

 

A system Error  ocurred at login.cpp::330:

Error: no exite la  columna procpid

LINE1:Select pg_try_advisory_lock(dataid::integer, procpid)

FROM pg_stat_activity

WHERE (procpid=pg_backend_pin())

CONTEXT:PL/pgSQL function login 9 at PERFORM

 

Agradezco cualquier orientacion al respecto.

 
malfredo32
malfredo32's picture
Offline
Joined: 05/12/2008
No soportamos 9.2

No estoy cierto de ello pero es posible que sea la version de PostgreSQL que instalaste, xTuple 4.X soporta las versiones 3.8.4 y 9.1 pero no la 9.2, intenta instalando la version 9.1 de PostgreSQL, crea de nuevo la usuario y el role para despues restaurar el respaldo, no debes de tener problema.

 

 
gabriel_lopez
gabriel_lopez's picture
Offline
Joined: 05/07/2013
Hola que tal , gracias por la
Hola que tal , gracias por la respuesta y efectivamente esa fue la solución, el detalle ahora es que con la base de datos demo me funciona bien, pero respalde la bd de quickstar y al logearme me marca el siguiente error:
 
A system Error occured at login2.cpp::330
Error: valor no valido para el parametro  search_path: piblic,api
DETAIL:no existe esquima api
CONTEXT: sentencia SQL: SET SEARCH_PATH TO public, api
PL\pgSQL Function "login" line 43 at sentencia EXECUTE
 
Agradezco mucho el apoyo
 
gabriel_lopez
gabriel_lopez's picture
Offline
Joined: 05/07/2013
Re: [Spanish]: Re: Error a conectarse al servidor PostgreSQl 9.2 Xtuple 4.0

Hola que tal , gracias por la respuesta y efectivamente esa fue la solución,
el detalle ahora es que con la base de datos demo me funciona bien, pero
respalde la bd de quickstar y al logearme me marca el siguiente error:

A system Error occured at login2.cpp::330
Error: valor no valido para el parametro search_path: piblic,api
DETAIL:no existe esquima api
CONTEXT: sentencia SQL: SET SEARCH_PATH TO public, api
PL\pgSQL Function "login" line 43 at sentencia EXECUTE

Agradezco mucho el apoyo

-----Mensaje original-----

 
malfredo32
malfredo32's picture
Offline
Joined: 05/12/2008
Error en el search path

Parece ser que tienes un problema con el Search path, aparentemente no existe el schema api. Revisa los schemas y si no existe el schema api entonces tu respaldo no se restauro bien.

 
gabriel_lopez
gabriel_lopez's picture
Offline
Joined: 05/07/2013
Hola que tal: efectivamente

Hola que tal: efectivamente el problema fue que el respaldo de la bd no estuvo bien , lo volvi y arespaldar y ya entro correctamente si hacia falta la schema api.

 

Gracias